<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        
        Schema::create('assets', function (Blueprint $table) {
            $table->id();
            $table->integer('vendor_id', 11)->nullable();
            $table->integer('category_id', 11)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('model_name', 100)->nullable();
            $table->string('model_number', 100)->nullable();
            $table->string('registered_number', 100)->nullable();
            $table->string('brand', 20)->nullable();
            $table->integer('duration', 20)->nullable();
            $table->string('duration_type', 50)->nullable();
            $table->string('asset_type', 50)->nullable();
            $table->double('cost')->nullable();
            $table->text('description', 50)->nullable();
            $table->text('image', 50)->nullable();
            $table->enum('status')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
